GDCM: gdcm::SplitGridFilter Class Reference

GDCM 3.2.8

Public Member Functions | Static Public Member Functions | List of all members
gdcm::SplitGridFilter Class Reference

SplitGridFilter class. More...

`#include <gdcmSplitGridFilter.h>`

## Public Member Functions
| SplitGridFilter ()
| ~SplitGridFilter ()
bool | ComputeGRIDDimensions (unsigned int dims[3])
bool | ComputeGRIDImagePositionPatient (double pos[3], const double ipp[6], const double dircos[6], const double pixelspacing[3], const unsigned int image_dims[3], const unsigned int mosaic_dims[3], bool inverted)
| Extract the value for ImagePositionPatient.
bool | ComputeGRIDSliceNormal (double dims[3], bool &inverted)
| Extract the value for SliceNormalVector (UIH header).
File & | GetFile ()
const File & | GetFile () const
bool | GetGRIDSlicePosition (unsigned int index, double pos[3])
| Extract the value for ImagePositionPatient at index.
Image & | GetImage ()
const Image & | GetImage () const
void | SetFile (const File &f)
void | SetImage (const Image &image)
bool | Split ()
| Split the UIH GRID image.

## Static Public Member Functions
static bool | GetAcquisitionSize (unsigned int size[2], DataSet const &ds)
| Get the Acquisition Matrix (non zero value):
static unsigned int | GetNumberOfImagesInGrid (File const &file)
| Return the value for NumberOfImagesInGrid, or compute it from Acquisition Size.

## Detailed Description

SplitGridFilter class.

Class to reshuffle bytes for a UIH Grid image

Only known documentation at the time was found at: https://github.com/rordenlab/dcm2niix/issues/225

Pay attention that SliceNormalVector seems to be inspired from SIEMENS but is always inverted. Also the IPP in the SQ seems to be accurate, do not use this value for now.

## Constructor & Destructor Documentation

## ◆ SplitGridFilter()

gdcm::SplitGridFilter::SplitGridFilter | ( |  | ) |

## ◆ ~SplitGridFilter()

gdcm::SplitGridFilter::~SplitGridFilter | ( |  | ) |

## Member Function Documentation

## ◆ ComputeGRIDDimensions()

bool gdcm::SplitGridFilter::ComputeGRIDDimensions | ( | unsigned int | dims[3] | ) |

Compute the new dimensions according to private information stored in the GRID header.

## ◆ ComputeGRIDImagePositionPatient()

bool gdcm::SplitGridFilter::ComputeGRIDImagePositionPatient | ( | double | pos[3],
|  | const double | ipp[6],
|  | const double | dircos[6],
|  | const double | pixelspacing[3],
|  | const unsigned int | image_dims[3],
|  | const unsigned int | mosaic_dims[3],
|  | bool | inverted )

Extract the value for ImagePositionPatient.

## ◆ ComputeGRIDSliceNormal()

bool gdcm::SplitGridFilter::ComputeGRIDSliceNormal | ( | double | dims[3],
|  | bool & | inverted )

Extract the value for SliceNormalVector (UIH header).

## ◆ GetAcquisitionSize()

bool gdcm::SplitGridFilter::GetAcquisitionSize | ( | unsigned int | size[2],
|  | DataSet const & | ds )
| static

Get the Acquisition Matrix (non zero value):

## ◆ GetFile() [1/2]

File & gdcm::SplitGridFilter::GetFile | ( |  | ) |
| inline

## ◆ GetFile() [2/2]

const File & gdcm::SplitGridFilter::GetFile | ( |  | ) | const
| inline

## ◆ GetGRIDSlicePosition()

bool gdcm::SplitGridFilter::GetGRIDSlicePosition | ( | unsigned int | index,
|  | double | pos[3] )

Extract the value for ImagePositionPatient at index.

## ◆ GetImage() [1/2]

Image & gdcm::SplitGridFilter::GetImage | ( |  | ) |
| inline

## ◆ GetImage() [2/2]

const Image & gdcm::SplitGridFilter::GetImage | ( |  | ) | const
| inline

## ◆ GetNumberOfImagesInGrid()

unsigned int gdcm::SplitGridFilter::GetNumberOfImagesInGrid | ( | File const & | file | ) |
| static

Return the value for NumberOfImagesInGrid, or compute it from Acquisition Size.

## ◆ SetFile()

void gdcm::SplitGridFilter::SetFile | ( | const File & | f | ) |
| inline

## ◆ SetImage()

void gdcm::SplitGridFilter::SetImage | ( | const Image & | image | ) |

## ◆ Split()

bool gdcm::SplitGridFilter::Split | ( |  | ) |

Split the UIH GRID image.

The documentation for this class was generated from the following file:

- gdcmSplitGridFilter.h